Quantcast

Compiling Audacity 1.3 under Mac OS X

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Compiling Audacity 1.3 under Mac OS X

edgar-rft
Compiling Audacity 1.3 under Mac OS X using gcc

To turn the USB soundcard discussion a little bit more helpful i'm trying to
build audacity 1.3 (CVS Head) on a Mac G4 1000MHz - 768 Mb Ram  - OS X 10.3.9.

In the mac folder there are compiling instructions but from July 2003 so
I don't know whether my prerequisites are sufficient enough.

gcc --version: gcc (GCC) 3.1 20020420 (prerelease)

  - is this too old ? (recommended for OS X 10.4 is gcc 4.0)

according to the compiling instructions I need wx.windows 2.4.0

  - according to the wiki I need wx-widgets 2.5.3
  - what's then about the 2.4.x patches ?

are there other changes I have to mind ?

Thank you  - [hidden email]
______________________________________________________________
Verschicken Sie romantische, coole und witzige Bilder per SMS!
Jetzt bei WEB.DE FreeMail: http://f.web.de/?mc=021193



-------------------------------------------------------
This SF.Net email is sponsored by Oracle Space Sweepstakes
Want to be the first software developer in space?
Enter now for the Oracle Space Sweepstakes!
http://ads.osdn.com/?ad_id=7393&alloc_id=16281&op=click
_______________________________________________
Audacity-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/audacity-devel
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Compiling Audacity 1.3 under Mac OS X

Markus Meyer
Edgar,

GCC 3.1 should be fine (though I don't know about OS X).

You should use wxWidgets 2.5.x for CVS HEAD (though 2.6 should also work).


Markus

[hidden email] schrieb:

>Compiling Audacity 1.3 under Mac OS X using gcc
>
>To turn the USB soundcard discussion a little bit more helpful i'm trying to
>build audacity 1.3 (CVS Head) on a Mac G4 1000MHz - 768 Mb Ram  - OS X 10.3.9.
>
>In the mac folder there are compiling instructions but from July 2003 so
>I don't know whether my prerequisites are sufficient enough.
>
>gcc --version: gcc (GCC) 3.1 20020420 (prerelease)
>
>  - is this too old ? (recommended for OS X 10.4 is gcc 4.0)
>
>according to the compiling instructions I need wx.windows 2.4.0
>
>  - according to the wiki I need wx-widgets 2.5.3
>  - what's then about the 2.4.x patches ?
>
>are there other changes I have to mind ?
>
>Thank you  - [hidden email]
>______________________________________________________________
>Verschicken Sie romantische, coole und witzige Bilder per SMS!
>Jetzt bei WEB.DE FreeMail: http://f.web.de/?mc=021193
>
>
>
>-------------------------------------------------------
>This SF.Net email is sponsored by Oracle Space Sweepstakes
>Want to be the first software developer in space?
>Enter now for the Oracle Space Sweepstakes!
>http://ads.osdn.com/?ad_id=7393&alloc_id=16281&op=click
>_______________________________________________
>Audacity-devel mailing list
>[hidden email]
>https://lists.sourceforge.net/lists/listinfo/audacity-devel
>
>  
>



-------------------------------------------------------
This SF.Net email is sponsored by Oracle Space Sweepstakes
Want to be the first software developer in space?
Enter now for the Oracle Space Sweepstakes!
http://ads.osdn.com/?ad_id=7393&alloc_id=16281&op=click
_______________________________________________
Audacity-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/audacity-devel
Loading...